Bug 474428 - not loading 64 bit libpython on 64 bit platform
not loading 64 bit libpython on 64 bit platform
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-python (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
: 541063 557538 (view as bug list)
Depends On:
Blocks: 542715
  Show dependency treegraph
 
Reported: 2008-12-03 14:31 EST by Ted X Toth
Modified: 2010-06-28 06:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:53:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aclocal.m4 patch to use lib64 on 64 bit system (2.74 KB, patch)
2008-12-03 15:25 EST, Ted X Toth
no flags Details | Diff

  None (edit)
Description Ted X Toth 2008-12-03 14:31:28 EST
Description of problem:
 nautilus --no-desktop

(nautilus:16947): Nautilus-Python-WARNING **: g_module_open libpython failed: /usr/lib/libpython2.5.so: wrong ELF class: ELFCLASS32
Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/gtk-2.0/gobject/__init__.py", line 30, in <module>
    from gobject.constants import *
  File "/usr/lib64/python2.5/site-packages/gtk-2.0/gobject/constants.py", line 22, in <module>
    from _gobject import type_from_name
ImportError: /usr/lib64/python2.5/site-packages/gtk-2.0/gobject/_gobject.so: undefined symbol: _Py_ZeroStruct

(nautilus:16947): Nautilus-Python-WARNING **: could not import gobject

(nautilus:16947): Nautilus-Python-WARNING **: pygobject initialization failed

(nautilus:16947): Nautilus-Python-WARNING **: nautilus_python_init_python failed

** (nautilus:16947): WARNING **: Unable to add monitor: Not supported


Version-Release number of selected component (if applicable):

0.5.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ted X Toth 2008-12-03 15:25:08 EST
Created attachment 325592 [details]
aclocal.m4 patch to use lib64 on 64 bit system

Possible patch.
Comment 2 James Ettle 2009-10-10 14:33:01 EDT
I see this in Fedora 11.

nautilus-2.26.4-2.fc11.x86_64
nautilus-python-0.5.1-6.fc11.x86_64


(nautilus:18177): Nautilus-Python-WARNING **: g_module_open libpython failed: /usr/lib/libpython2.6.so: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gobject/__init__.py", line 33, in <module>
    from glib import spawn_async, idle_add, timeout_add, timeout_add_seconds, \
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/glib/__init__.py", line 30, in <module>
    from glib._glib import *
ImportError: /usr/lib64/libpyglib-2.0.so.0: undefined symbol: PyExc_ImportError


Ted, I can't get your patch to work; I'm just adding it into the spec file, is there anything else I should be doing?
Comment 3 Ted X Toth 2009-10-11 11:43:03 EDT
Sorry I don't have a F11 box to try it on right now.

Ted
Comment 4 Bug Zapper 2009-11-18 05:18:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Juan Manuel Rodriguez 2009-12-14 16:48:58 EST
This bug is still happening on Fedora 12, x86_64. 

[Nushio@Balmung ~]$ rpm -q nautilus-python
nautilus-python-0.5.1-5.fc12.x86_64


Nautilus-Python-WARNING **: g_module_open libpython failed:
/usr/lib/libpython2.6.so: cannot open shared object file: No such file or
directory
Comment 6 Adam Plumb 2010-01-12 13:28:35 EST
I'm the new maintainer for nautilus-python, and this has been fixed in git master.

https://bugzilla.gnome.org/show_bug.cgi?id=599992
Comment 7 Ted X Toth 2010-01-14 18:22:29 EST
Great and thanks. I look forward to stop maintaining a private version which makes my life easier.
Comment 8 Toshio Ernie Kuratomi 2010-01-27 15:22:51 EST
Adam, are you taking over in Fedora or just upstream?  In Fedora, this package is currently orphaned :-(
Comment 9 Toshio Ernie Kuratomi 2010-01-27 15:24:12 EST
*** Bug 557538 has been marked as a duplicate of this bug. ***
Comment 10 Toshio Ernie Kuratomi 2010-01-27 15:28:04 EST
*** Bug 541063 has been marked as a duplicate of this bug. ***
Comment 11 Adam Plumb 2010-01-27 16:39:32 EST
I'm the new maintainer for the upstream project, but I'm not a Fedora package maintainer.  However, there is an existing .spec file and code in place to generate RPMs.
Comment 12 Ted X Toth 2010-01-28 09:25:51 EST
Adam could you become the Fedora package maintainer also? If not I'd be willing if I can figure out the hoops to jump through (I haven't found a straight forward explanation of the steps to become a maintainer).
Comment 13 Fedora Update System 2010-01-28 21:38:06 EST
nautilus-python-0.5.1-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nautilus-python-0.5.1-6.fc12
Comment 14 Ted X Toth 2010-01-29 16:10:57 EST
Good but what does this mean in terms of maintenance? Does the package still need a maintainer?
Comment 15 Adam Plumb 2010-01-29 16:14:12 EST
No, Patrick Dignan, the person who submitted that update, has agreed to maintain the Fedora package.
Comment 16 ahmed 2010-01-31 11:27:10 EST
*** Bug 560383 has been marked as a duplicate of this bug. ***
Comment 17 Fedora Update System 2010-01-31 20:11:47 EST
nautilus-python-0.5.1-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus-python'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1266
Comment 18 Fedora Update System 2010-03-01 04:36:13 EST
nautilus-python-0.5.1-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nautilus-python-0.5.1-6.fc12
Comment 19 Fedora Update System 2010-03-03 00:05:54 EST
nautilus-python-0.5.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nautilus-python-0.5.2-1.fc12
Comment 20 Fedora Update System 2010-03-29 22:12:41 EDT
nautilus-python-0.5.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Bug Zapper 2010-04-27 08:27:24 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-06-28 06:53:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.